{ VERIFICATION PROGRAM for LIBRARY problem for NEERC'2001 }
{ (C) Roman Elizarov }
{$APPTYPE CONSOLE}
program LIBRARY_CHECK;
uses
  sysutils, testlib in '..\testlib.pas';

var
  ians1, iouf1, ians2, iouf2: integer;

begin
  try 
    iouf1 := ouf.readInteger;
    iouf2 := ouf.readInteger;
    if not ouf.seekeof then
      Quit(_PE, 'Extra data in file');

    ians1 := ans.readInteger;
    ians2 := ans.readInteger;
    if (iouf1 <> ians1) or (iouf2 <> ians2) then
      Quit(_WA, 'Wrong answer: (' + IntToStr(iouf1) + ',' + IntToStr(iouf2) +
          ') <> (' + IntToStr(ians1) + ',' + IntToStr(ians2) + ')');
    Quit(_OK, 'Ok');
  except on e: Exception do 
    Quit(_FAIL, e.Message);
  end;
end.
